<div class="renseigneFormInside">
    <div class="row">
        <div class="col-md-4 col-xs-4 colonne1">
            <a class="btn btn-xs btn-default" href="#" onclick="sendData('id={{O.id}}', '{{url('object')}}', 'objet', event);"><span class="glyphicon glyphicon-remove"></span> Annuler</a>
        </div>
        <div class="col-md-6 col-xs-6"></div>
        <div class='col-md-2 col-xs-2'>
            <input name='toggleGlobal' id="toggleGlobal" type="checkbox" class='toggle' data-size="mini" data-width="150" data-toggle="toggle" data-off="<span class='glyphicon glyphicon-pencil'></span> Mode correction" data-on="<span class='glyphicon glyphicon-share-alt'></span> Mode M. à jour" data-onstyle="default" data-offstyle="default">
            
        </div>
    </div>



    <form method="post" action="#"  id="Form{{ O.id }}">
        <p>&nbsp;</p>

        <div class="row rowSysma requiredParameter">
            <div class = "col-md-4 col-xs-4 colonne1">
                <b>Date de l'observation (date de début)</b>
            </div>
            <div class="col-md-4">  
                <input  
                        type="date"                        
                        data-toggle="tooltip" data-placement="right" 
                        title="Date de début de la validité de cette value ou bien 0 si elle n'est pas définie" 
                        class="form-control input-sm" 
                        id="dateDebutparameterObjet" name="start_date" 
                        value="{{ app.session.get('start_date_value')!=null ? app.session.get('start_date_value') : null }}" 
                        size="30"  onchange="checkDate('dateDebutparameterObjet', 'dateDebutparameterObjetComment', 'boutonRenseignerObjet', 'end_dateparameterObjet');" required="required" />
            </div>

            <div class="col-md-4">  
                <div id="dateDebutparameterObjetComment"></div>
            </div>

            <input id="end_dateparameterObjet" name="end_date" value="0" size="30" type='hidden'/>
        </div>
        <p>&nbsp;</p>

        <h2>Renseignement de l'objet</h2>    

        {% for V in O.data %}

            {% if V.parameter.required %}
                {%  set required='required' %}
            {%  else %}
                {%   set required=null %}
            {%  endif %}


            {%  if (mode == 'field' and V.parameter.required_field_parameter != 'non' and V.parameter.required_field_parameter != 'oui en lecture' ) or mode != 'field'  %}

                {%  if '**' in V.parameter.ordered_by %}                                        
                     <div class="row rowSysma"><h3>{{ (V.parameter.ordered_by|split('**')).1|replace('_',' ') }}</h3></div>
                {%  endif %}

                <div class="row rowSysma
                     {% if  V.parameter.required %}
                         requiredParameter
                     {% endif %}
                     ">


                    <div class = "col-md-4 col-xs-4 colonne1">

                        <input name="parameter{{V.parameter.parameter_id}}" class="parameter" value="1" type="hidden" />

                        <acronym title = "{{V.parameter.description|striptags|raw}} [{{V.parameter.parameter_id}}]">{{V.parameter.parameter|striptags|raw}}</acronym>            
                        {% if V.parameter.unit!=null %}
                            ({{V.parameter.unit}})
                        {% endif %}
                    </div>


                    <div id="renseigneForm{{V.idsysma_object}}{{V.parameter_id}}" class="col-md-6 col-xs-6">

                        {% if (V.parameter.dataType == 'booleanType') %}
                            <select name="valueO{{V.idsysma_object}}P{{V.parameter_id}}" class="form-control" {{  required }}>
                                <option value=''>Non renseigné</option>
                                <option value="1"
                                        {% if V.value == '1' %}
                                            selected
                                        {% endif %}>Oui</option>
                                <option value="0"
                                        {% if V.value == '0' %}
                                            selected
                                        {% endif %}>Non</option>
                            </select>

                        {% elseif V.parameter.dataType == 'textChoiceType' %}
                            {% set details =  null %} 
                            <select name="valueO{{V.idsysma_object}}P{{V.parameter_id}}" class="form-control" {{  required }}>
                                <option value=''>Non renseigné</option>
                                {% for choice in V.choicesArray %}
                                    <option value="{{ choice.choice }}"
                                            {% if V.value == choice.choice %}
                                                selected
                                            {% endif %}
                                            >{{ choice.choice|raw }}

                                        {% if choice.description != null %}
                                            {% set details = details ~ choice.choice ~ ' : ' ~ choice.description ~ '<br>' %}
                                        {% endif %}
                                    </option>
                                {% endfor %}
                            </select>
                            {#
                            {% if details != null %} 
                                <div id="detailsChoix"><h4>Précisions :</h4> {{ details|raw }}</div>
                            {% endif %}
                            #}

                        {% elseif V.parameter.dataType == 'multipleTextChoiceType' %}
                            
                            <br>
                            {% set details = null %} 

                            {% for choice in V.choicesArray %}

                                <input type="checkbox" value="1" name="choiceC{{ choice.choice_id }}O{{V.idsysma_object}}P{{V.parameter_id}}"  {{  required }}

                                       {% for value in V.value %}
                                           {% if value == choice.choice %}
                                               checked ="checked"
                                           {% endif %}
                                       {% endfor %}
                                       /> {{ choice.choice }}<br/>

                                {% if choice.description != null %}
                                    {% set details = details ~ choice.choice ~ ' : ' ~ choice.description ~ '<br>' %}
                                {% endif %}

                            {% endfor %}
                            {# {% if details != null %} 
                                <div id="detailsChoix"><h3>Précisions :</h3>{{ details|raw }}</div>
                            {% endif %} #}
                        {% elseif V.parameter.dataType == 'longTextType' %}
                            <textarea class="form-control"  name="valueO{{V.idsysma_object}}P{{V.parameter_id}}" {{  required }}>{{ V.value }}</textarea>

                        {% elseif V.parameter.dataType == 'integerType' %}
                            <input type="number"  step="1" class="form-control"  name="valueO{{V.idsysma_object}}P{{V.parameter_id}}" value="{{ V.value }}" {{  required }} />

                        {% elseif V.parameter.dataType == 'floatType' %}
                            <input type="number" step="any" class="form-control" pattern="[0-9]+([,\.][0-9]+)?"   name="valueO{{V.idsysma_object}}P{{V.parameter_id}}" value="{{ V.value }}"  {{  required }} />

                        {% elseif V.parameter.dataType == 'sysmaObjectLinkType' %}
                            <select name="value" class="form-control" >
                                {% for l in V.linkedObjectsList %}
                                    <option value="{{ l.name~' ['~l.id~']' }}" 
                                            {%  if V.value == l.name~' ['~l.id~']'  %}selected{%  endif %}
                                            >{{ l.name~' ['~l.id~']'|raw }}                      
                                    </option>
                                {% endfor %}
                            </select>



                        {% else %}
                            <input class="form-control"  name="valueO{{V.idsysma_object}}P{{V.parameter_id}}" value="{{ V.value }}" {{  required }} />

                        {% endif %}  


                    </div>

                    {%  if V.parameter.time_tracking==1 %}
                        <div class='col-md-2 col-xs-2'>
                            <input name='toggleO{{V.idsysma_object}}P{{V.parameter_id}}' type="checkbox" class='toggle toggleVal' data-size="mini" data-width="100" data-toggle="toggle" data-off="<span class='glyphicon glyphicon-pencil'></span> Corriger" data-on="<span class='glyphicon glyphicon-share-alt'></span> M. à jour" data-onstyle="default" data-offstyle="default">
                             <span class="glyphicon glyphicon-question-sign text-muted" title="M. à jour : l'ancienne donnée sera archivée. Corriger : l'ancienne donnée sera remplacée"></span>
                        </div>
                    {%  endif %}

                </div>

            {%  endif %} 

        {% endfor %}    




        <div class='row'>
            <div class='col-md-4'></div>
            <div class='col-md-6'>
                <p class='text-right'>
                    <button class="btn btn-primary" id="boutonRenseignerObjet"
                            onClick="sendFormAndRedirect('Form{{ O.id }}', '{{ url('object-tab-form-commit')}}', 'id={{O.id}}', '{{ url('object')}}', 'objet', event);"                
                            {%  if  app.session.get('start_date_value') is null %}disabled{%  endif %}>Renseigner</button>
                </p>


                <input type="hidden" value="{{ O.id }}" name="sysma_object_id" />      
                <input type="hidden" value="{{ mode }}" name="mode" />      



            </div>
        </div>



    </form>
</div>

<script>
    $(function () {
        $('[data-toggle="tooltip"]').tooltip()
    })
    $(function () {
        $('.toggle').bootstrapToggle();
    })

    $(function () {
        $('#toggleGlobal').change(function () {

            if ($(this).prop('checked')) {
                console.log('checked');
                $('.toggleVal').bootstrapToggle('on')
            } else {
                console.log('unchecked');
                $('.toggleVal').bootstrapToggle('off')
            }

        })
    })

</script>
